# Class sugar

- Defined in File model.hpp

## Inheritance Relationships

### Base Type

- `public cif::mm::residue` (Class residue)

## Class Documentation

class sugar : public cif::mm::residue

  A sugar is a residue that is part of a glycosylation site.

  Public Functions

  sugar(branch &branch, const std::string &compoundID, const std::string &asymID, int authSeqID)

    constructor

  inline int num() const

    Return the sugar number in the glycosylation tree.

    To store the sugar number, the auth_seq_id item has been overloaded in the specification. But since a sugar number should be, ehm, a number and auth_seq_id is specified to contain a string, we do a check here to see if it really is a number.

    Returns:

      The sugar number

  std::string name() const

    Return the name of this sugar.

  inline atom get_link() const

    Return the atom the C1 is linked to.

  inline void set_link(atom link)

    Set the link atom C1 is linked to to link.

  inline std::size_t get_link_nr() const

    Return the sugar number of the sugar linked to C1.

  atom add_atom(row_initializer atom_info)

    Construct an atom based on the info in atom_info and add it to this sugar.